Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.message
Class ParameterizedMessageFactory

    java.lang.Object
      org.apache.logging.log4j.message.AbstractMessageFactory
          org.apache.logging.log4j.message.ParameterizedMessageFactory

All Implemented Interfaces:
  Serializable, MessageFactory

    public final class ParameterizedMessageFactory

extends AbstractMessageFactory

Enables use of `{}` parameter markers in message strings.

Creates `ParameterizedMessage` instances for `newMessage(String, Object...)`.

This class is immutable.

See Also:
  Serialized Form

Field Summary
`static ParameterizedMessageFactory` | `INSTANCE` Instance of StringFormatterMessageFactory.

Constructor Summary
`ParameterizedMessageFactory()`

Method Summary
`Message` | `newMessage(String message, Object... params)` Creates `ParameterizedMessage` instances.

Methods inherited from class org.apache.logging.log4j.message.AbstractMessageFactory
`newMessage, newMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ParameterizedMessageFactory INSTANCE

  Instance of StringFormatterMessageFactory.

Constructor Detail

### ParameterizedMessageFactory

    public ParameterizedMessageFactory()

Method Detail

### newMessage

    public Message newMessage(String message,
                              Object... params)

  Creates `ParameterizedMessage` instances.

  Specified by:
    `newMessage` in interface `MessageFactory`
  Specified by:
    `newMessage` in class `AbstractMessageFactory`
  Parameters:
    `message` - The message pattern.
    `params` - The message parameters.
  Returns:
    The Message.
  See Also:
    `MessageFactory.newMessage(String, Object...)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.